Method: projects.locations.deploymentGroups.provision

Provisions a deployment group.

NOTE: As a first step of this operation, Infra Manager will automatically delete any Deployments that were part of the last successful DeploymentGroupRevision but are no longer included in the current DeploymentGroup definition (e.g., following an deploymentGroups.patch call), along with their actuated resources.

HTTP request

POST https://config.googleapis.com/v1/{name=projects/*/locations/*/deploymentGroups/*}:provision

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the deployment group to provision. Format: 'projects/{projectId}/locations/{location}/deploymentGroups/{deploymentGroup}'. It takes the form projects/{project}/locations/{location}/deploymentGroups/{deploymentgroup}.

Authorization requires the following IAM permission on the specified resource name:

  • config.deploymentgroups.provision

Request body

The request body contains data with the following structure:

JSON representation
{
  "deploymentSpecs": {
    string: {
      object (DeploymentSpec)
    },
    ...
  }
}
Fields
deploymentSpecs

map (key: string, value: object (DeploymentSpec))

Optional. The deployment specs of the deployment units to be created within the same project and location of the deployment group. The key is the unit ID, and the value is the DeploymentSpec. Provisioning will fail if a deployment_spec has a deploymentId that matches an existing deployment in the same project and location. If an existing deployment was part of the last successful revision but is no longer in the current DeploymentGroup's deploymentUnits, it will be recreated if included in deploymentSpecs.

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • config.googleapis.com/config.deploymentgroups.provision

For more information, see the IAM documentation.

DeploymentSpec

Spec for a deployment to be created.

JSON representation
{
  "deploymentId": string,
  "deployment": {
    object (Deployment)
  }
}
Fields
deploymentId

string

Required. The id of the deployment to be created which doesn't include the project id and location.

deployment

object (Deployment)

Required. The deployment to be created.